apiVersion: v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstance
  metadata:
    annotations:
      kubevirt.io/cluster-instancetype-name: hot-plug-4-cpu-instance-type
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/nonroot: "true"
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/vm-generation: "3"
    creationTimestamp: "2025-11-06T08:28:08Z"
    finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    - kubevirt.io/foregroundDeleteVirtualMachine
    generation: 25
    labels:
      debugLogs: "true"
      kubevirt.io/domain: rhel10-hotplug-instance-type-vm-1762417655-1148643
      kubevirt.io/nodeName: ssp-rk-421a-q55fw-worker-0-9ttnr
      kubevirt.io/vm: rhel10-hotplug-instance-type-vm-1762417655-1148643
    name: rhel10-hotplug-instance-type-vm-1762417655-1148643
    namespace: instance-types-test-cpu-memory-hotplug-instancetype
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachine
      name: rhel10-hotplug-instance-type-vm-1762417655-1148643
      uid: 6a7f66e2-9cf7-4e97-b0cf-bc37f9b91034
    resourceVersion: "2964207"
    uid: cca1ad39-5443-46cb-96f9-cfb5277c05f3
  spec:
    architecture: amd64
    domain:
      cpu:
        cores: 1
        maxSockets: 8
        model: host-model
        sockets: 6
        threads: 1
      devices:
        disks:
        - disk:
            bus: virtio
          name: dv-disk
        - disk:
            bus: virtio
          name: cloudinitdisk
        interfaces:
        - masquerade: {}
          name: default
        rng: {}
      features:
        acpi:
          enabled: true
      firmware:
        serial: a522dd37-1724-40f0-bc5b-6a5e4929349c
        uuid: 999db42b-632e-4468-8858-f0c9e25e2651
      machine:
        type: pc-q35-rhel9.6.0
      memory:
        guest: 4Gi
        maxGuest: 16Gi
      resources:
        requests:
          memory: 4Gi
    evictionStrategy: LiveMigrate
    networks:
    - name: default
      pod: {}
    volumes:
    - dataVolume:
        name: rhel10
      name: dv-disk
    - cloudInitNoCloud:
        userData: |-
          #cloud-config
          chpasswd:
            expire: false
          password: password
          user: fedora
          ssh_pwauth: true

          ssh_authorized_keys:
           [ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCcYsWz4ASOGe0WO1uRrrTZ/g1DqspRDKVn5N+CiMDE6jl7AHjxFLPj43aLaFr6sxcTh4eoPtpYz0jJX9Bm5UVgb36oVRN4SxkpcpI3/5UGYKom/MQq4KbnCpa8iy3340rYXeAu5v6NxsBKXSzrFXpUmnXuwA1Qj/N9HsJI8WJqMRTFWiyrUkXcJ5I9ww49nPBzgUvclR14XK9PR8wNpHEgkO/EP0CEn0Bz61FKs8ZvrGlKtznaSbPQJGz3nLUOsNNy6Ls5i5fGFqw12fHwUQikbVmlERpRiQ3ZiVPW0IaBJJP+2nVdJtAode+i5vdRB3mTHEU/P88w9MTWevvSXYdf root@exec1.rdocloud]
          runcmd: ['grep ssh-rsa /etc/crypto-policies/back-ends/opensshserver.config || sudo update-crypto-policies --set LEGACY || true', "sudo sed -i 's/^#\\?PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config", 'sudo systemctl enable sshd', 'sudo systemctl restart sshd']
      name: cloudinitdisk
  status:
    activePods:
      50ea42c2-9de5-49e9-9950-0678ac9d3f7a: ssp-rk-421a-q55fw-worker-0-bctcs
      68f6fd5c-8838-4d36-94cd-cd29576a4c1c: ssp-rk-421a-q55fw-worker-0-9ttnr
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2025-11-06T08:29:29Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and ready
      reason: AllDVsReady
      status: "True"
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: "True"
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: "True"
      type: StorageLiveMigratable
    - lastProbeTime: "2025-11-06T08:28:52Z"
      lastTransitionTime: null
      status: "True"
      type: AgentConnected
    currentCPUTopology:
      cores: 1
      sockets: 6
      threads: 1
    guestOSInfo:
      id: rhel
      kernelRelease: 6.12.0-55.34.1.el10_0.x86_64
      kernelVersion: '#1 SMP PREEMPT_DYNAMIC Mon Sep 15 17:07:34 EDT 2025'
      machine: x86_64
      name: Red Hat Enterprise Linux
      prettyName: Red Hat Enterprise Linux 10.0 (Coughlan)
      version: 10.0 (Coughlan)
      versionId: "10.0"
    interfaces:
    - infoSource: domain, guest-agent
      interfaceName: enp1s0
      ipAddress: 10.131.0.49
      ipAddresses:
      - 10.131.0.49
      - fe80::858:aff:fe80:299
      linkState: up
      mac: 0a:58:0a:80:02:99
      name: default
      podInterfaceName: eth0
      queueCount: 1
    launcherContainerImageVersion: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:4de693def3e1cfcbac337df2bff6383ee0c4f8ab638e88db195a4035758d1532
    machine:
      type: pc-q35-rhel9.6.0
    memory:
      guestAtBoot: 4Gi
      guestCurrent: 4Gi
      guestRequested: 4Gi
    migrationMethod: BlockMigration
    migrationState:
      completed: true
      endTimestamp: "2025-11-06T08:29:28Z"
      migrationConfiguration:
        allowAutoConverge: false
        allowPostCopy: false
        allowWorkloadDisruption: false
        bandwidthPerMigration: "0"
        completionTimeoutPerGiB: 150
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationUid: 9847cb57-6bf6-44e5-8df2-b4f2b1378916
      mode: PreCopy
      sourceNode: ssp-rk-421a-q55fw-worker-0-bctcs
      sourcePod: virt-launcher-rhel10-hotplug-instance-type-vm-1762417655-1hc4km
      startTimestamp: "2025-11-06T08:29:25Z"
      targetDirectMigrationNodePorts:
        "34771": 49152
        "35673": 0
        "45969": 49153
      targetNode: ssp-rk-421a-q55fw-worker-0-9ttnr
      targetNodeAddress: 10.131.0.70
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-11-06T08:29:28Z"
      targetPod: virt-launcher-rhel10-hotplug-instance-type-vm-1762417655-1gpwnv
    migrationTransport: Unix
    nodeName: ssp-rk-421a-q55fw-worker-0-9ttnr
    phase: Running
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-11-06T08:28:08Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-11-06T08:28:08Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-11-06T08:28:15Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-11-06T08:28:17Z"
    qosClass: Burstable
    runtimeUser: 107
    selinuxContext: system_u:object_r:container_file_t:s0:c546,c694
    virtualMachineRevisionName: revision-start-vm-6a7f66e2-9cf7-4e97-b0cf-bc37f9b91034-2
    volumeStatus:
    - name: cloudinitdisk
      size: 1048576
      target: vdb
    - name: dv-disk
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: 32Gi
        claimName: rhel10
        filesystemOverhead: "0"
        requests:
          storage: "34144990004"
        volumeMode: Block
      target: vda
kind: List
metadata:
  resourceVersion: ""
